package serializer

import (
	"github.com/fonchain_enterprise/fonchain-approval/api/approval"
	"github.com/fonchain_enterprise/fonchain-approval/pkg/model"
)

//BuildType 处理单个detail返回
func BuildType(entity *model.ApprovalType) *approval.CreateTypeRequest {

	response := &approval.CreateTypeRequest{
		ID:      entity.ID,
		Domain:  entity.Domain,
		Remark:  entity.Remark,
		Title:   entity.Title,
		KeyWord: entity.KeyWord,
	}

	return response
}

func BuildTypes(entity []*model.ApprovalType) (details []*approval.CreateTypeRequest) {

	for _, temp := range entity {
		details = append(details, BuildType(temp))
	}

	return details
}
